Index: trunk/lib/FlairSensorActuator/src/unexported/AfroBldc_impl.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/unexported/AfroBldc_impl.h	(revision 6)
+++ trunk/lib/FlairSensorActuator/src/unexported/AfroBldc_impl.h	(revision 15)
@@ -16,5 +16,4 @@
 /*********************************************************************/
 
-
 #ifndef AFROBLDC_IMPL_H
 #define AFROBLDC_IMPL_H
@@ -25,38 +24,34 @@
 #define MAX_MOTORS 8
 
-namespace flair
-{
-    namespace core
-    {
-        class I2cPort;
-    }
-    namespace gui
-    {
-        class SpinBox;
-        class GroupBox;
-        class Layout;
-    }
-    namespace actuator
-    {
-        class AfroBldc;
-    }
-    namespace sensor
-    {
-        class BatteryMonitor;
-    }
+namespace flair {
+namespace core {
+class I2cPort;
+}
+namespace gui {
+class SpinBox;
+class GroupBox;
+class Layout;
+}
+namespace actuator {
+class AfroBldc;
+}
+namespace sensor {
+class BatteryMonitor;
+}
 }
 
-class AfroBldc_impl
-{
-    public:
-        AfroBldc_impl(flair::actuator::AfroBldc* self,flair::gui::Layout *layout,flair::core::I2cPort* i2cport);
-        ~AfroBldc_impl();
-        void SetMotors(float* value);
+class AfroBldc_impl {
+public:
+  AfroBldc_impl(flair::actuator::AfroBldc *self, flair::gui::Layout *layout,
+                flair::core::I2cPort *i2cport);
+  ~AfroBldc_impl();
+  void SetMotors(float *value);
 
-    private:
-        void WriteValue(uint16_t value);//I2cPort mutex must be taken before calling this function
-        int nb_mot;
-        flair::core::I2cPort* i2cport;
-        flair::actuator::AfroBldc* self;
+private:
+  void WriteValue(uint16_t value); // I2cPort mutex must be taken before calling
+                                   // this function
+  int nb_mot;
+  flair::core::I2cPort *i2cport;
+  flair::actuator::AfroBldc *self;
 };
 
Index: trunk/lib/FlairSensorActuator/src/unexported/BlCtrlV2_impl.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/unexported/BlCtrlV2_impl.h	(revision 6)
+++ trunk/lib/FlairSensorActuator/src/unexported/BlCtrlV2_impl.h	(revision 15)
@@ -16,5 +16,4 @@
 /*********************************************************************/
 
-
 #ifndef BLCTRLV2_IMPL_H
 #define BLCTRLV2_IMPL_H
@@ -25,44 +24,45 @@
 #define MAX_MOTORS 8
 
-namespace flair
-{
-    namespace core
-    {
-        class I2cPort;
-    }
-    namespace gui
-    {
-        class SpinBox;
-        class GroupBox;
-        class Layout;
-    }
-    namespace actuator
-    {
-        class BlCtrlV2;
-    }
-    namespace sensor
-    {
-        class BatteryMonitor;
-    }
+namespace flair {
+namespace core {
+class I2cPort;
+}
+namespace gui {
+class SpinBox;
+class GroupBox;
+class Layout;
+}
+namespace actuator {
+class BlCtrlV2;
+}
+namespace sensor {
+class BatteryMonitor;
+}
 }
 
-class BlCtrlV2_impl
-{
-    public:
-        BlCtrlV2_impl(flair::actuator::BlCtrlV2* self,flair::gui::Layout *layout,flair::core::I2cPort* i2cport);
-        ~BlCtrlV2_impl();
-        void SetMotors(float* value);
-        flair::sensor::BatteryMonitor *battery;
-        flair::gui::SpinBox *poles;
+class BlCtrlV2_impl {
+public:
+  BlCtrlV2_impl(flair::actuator::BlCtrlV2 *self, flair::gui::Layout *layout,
+                flair::core::I2cPort *i2cport);
+  ~BlCtrlV2_impl();
+  void SetMotors(float *value);
+  flair::sensor::BatteryMonitor *battery;
+  flair::gui::SpinBox *poles;
 
-    private:
-        void WriteValue(uint16_t value);//I2cPort mutex must be taken before calling this function
-        void DetectMotors(void);
-        void GetCurrentSpeedAndVoltage(float &current,float &speed,float &voltage);//I2cPort mutex must be taken before calling this function
-        void GetCurrentAndSpeed(float &current,float &speed);//I2cPort mutex must be taken before calling this function
-        flair::core::Time last_voltage_time;
-        int nb_mot;
-        flair::core::I2cPort* i2cport;
-        flair::actuator::BlCtrlV2* self;
+private:
+  void WriteValue(uint16_t value); // I2cPort mutex must be taken before calling
+                                   // this function
+  void DetectMotors(void);
+  void GetCurrentSpeedAndVoltage(float &current, float &speed,
+                                 float &voltage); // I2cPort mutex must be taken
+                                                  // before calling this
+                                                  // function
+  void GetCurrentAndSpeed(
+      float &current,
+      float &speed); // I2cPort mutex must be taken before calling this function
+  flair::core::Time last_voltage_time;
+  int nb_mot;
+  flair::core::I2cPort *i2cport;
+  flair::actuator::BlCtrlV2 *self;
 };
 
Index: trunk/lib/FlairSensorActuator/src/unexported/Bldc_impl.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/unexported/Bldc_impl.h	(revision 6)
+++ trunk/lib/FlairSensorActuator/src/unexported/Bldc_impl.h	(revision 15)
@@ -22,49 +22,46 @@
 #include <stdint.h>
 
-namespace flair
-{
-    namespace gui
-    {
-        class DoubleSpinBox;
-        class Layout;
-        class Label;
-        class DataPlot1D;
-        class TabWidget;
-        class PushButton;
-    }
-    namespace actuator
-    {
-        class Bldc;
-    }
+namespace flair {
+namespace gui {
+class DoubleSpinBox;
+class Layout;
+class Label;
+class DataPlot1D;
+class TabWidget;
+class PushButton;
+}
+namespace actuator {
+class Bldc;
+}
 }
 
-class Bldc_impl
-{
-    public:
-        Bldc_impl(flair::actuator::Bldc* self,flair::gui::Layout* layout,std::string name,uint8_t motors_count);
-        Bldc_impl(flair::actuator::Bldc* self,uint8_t motors_count);//simulation
-        ~Bldc_impl();
-        void UpdateFrom(const flair::core::io_data *data);
-        void LockUserInterface(void) const;
-        void UnlockUserInterface(void) const;
-        bool are_enabled;
-        float* power;
-        void UseDefaultPlot(flair::gui::TabWidget* tab);
-        uint8_t motors_count;
-        flair::gui::Layout* layout;
+class Bldc_impl {
+public:
+  Bldc_impl(flair::actuator::Bldc *self, flair::gui::Layout *layout,
+            std::string name, uint8_t motors_count);
+  Bldc_impl(flair::actuator::Bldc *self, uint8_t motors_count); // simulation
+  ~Bldc_impl();
+  void UpdateFrom(const flair::core::io_data *data);
+  void LockUserInterface(void) const;
+  void UnlockUserInterface(void) const;
+  bool are_enabled;
+  float *power;
+  void UseDefaultPlot(flair::gui::TabWidget *tab);
+  uint8_t motors_count;
+  flair::gui::Layout *layout;
 
-    private:
-        float *values;
-        float Sat(float value);
-        flair::actuator::Bldc* self;
-        flair::gui::DoubleSpinBox *min_value,*max_value,*test_value;
-        flair::gui::Label *flight_time;
-        flair::gui::DataPlot1D *plots;
-        flair::core::Time flight_start_time;
-        flair::gui::PushButton **button_test;
-        int time_sec;
-        bool is_running;
-        flair::core::Time test_start_time;
-        int tested_motor;//=-1 if no motor is tested
+private:
+  float *values;
+  float Sat(float value);
+  flair::actuator::Bldc *self;
+  flair::gui::DoubleSpinBox *min_value, *max_value, *test_value;
+  flair::gui::Label *flight_time;
+  flair::gui::DataPlot1D *plots;
+  flair::core::Time flight_start_time;
+  flair::gui::PushButton **button_test;
+  int time_sec;
+  bool is_running;
+  flair::core::Time test_start_time;
+  int tested_motor; //=-1 if no motor is tested
 };
 
Index: trunk/lib/FlairSensorActuator/src/unexported/Gx3_25_imu_impl.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/unexported/Gx3_25_imu_impl.h	(revision 6)
+++ trunk/lib/FlairSensorActuator/src/unexported/Gx3_25_imu_impl.h	(revision 15)
@@ -18,15 +18,15 @@
 
 namespace flair {
-    namespace core {
-        class FrameworkManager;
-        class SerialPort;
-        class AhrsData;
-    }
-    namespace gui {
-        class SpinBox;
-        class CheckBox;
-        class PushButton;
-        class Label;
-    }
+namespace core {
+class FrameworkManager;
+class SerialPort;
+class AhrsData;
+}
+namespace gui {
+class SpinBox;
+class CheckBox;
+class PushButton;
+class Label;
+}
 }
 
@@ -38,33 +38,38 @@
 class Gx3_25_imu_impl {
 
-    public:
-        Gx3_25_imu_impl(flair::sensor::Gx3_25_imu* self,std::string name,flair::core::SerialPort *serialport,flair::sensor::Gx3_25_imu::Command_t command,flair::gui::GroupBox* setupgroupbox);
-        ~Gx3_25_imu_impl();
-        void Run(void);
+public:
+  Gx3_25_imu_impl(flair::sensor::Gx3_25_imu *self, std::string name,
+                  flair::core::SerialPort *serialport,
+                  flair::sensor::Gx3_25_imu::Command_t command,
+                  flair::gui::GroupBox *setupgroupbox);
+  ~Gx3_25_imu_impl();
+  void Run(void);
 
-    private:
-        void DeviceReset(void);
-        void GetData(uint8_t* buf,ssize_t buf_size,flair::core::Time *time);
-        float Dequeue(uint8_t** buf);
-        void GyrosBias(void);
-        void SamplingSettings(void);
-        void SetBaudrate(int value);
-        bool CalcChecksum(uint8_t *buf,int size);
-        int FirmwareNumber(void);
-        void PrintModelInfo(void);
-        void RealignUpNorth(bool realign_up,bool realign_north);
+private:
+  void DeviceReset(void);
+  void GetData(uint8_t *buf, ssize_t buf_size, flair::core::Time *time);
+  float Dequeue(uint8_t **buf);
+  void GyrosBias(void);
+  void SamplingSettings(void);
+  void SetBaudrate(int value);
+  bool CalcChecksum(uint8_t *buf, int size);
+  int FirmwareNumber(void);
+  void PrintModelInfo(void);
+  void RealignUpNorth(bool realign_up, bool realign_north);
 
-        void SetContinuousMode(uint8_t continuous_command);
+  void SetContinuousMode(uint8_t continuous_command);
 
-        flair::gui::GroupBox *setupgroupbox;
-        flair::gui::SpinBox *data_rate,*gyro_acc_size,*mag_size,*up_comp,*north_comp;
-        flair::gui::CheckBox *coning,*disable_magn,*disable_north_comp,*disable_grav_comp;
-        flair::gui::PushButton *button_bias;
-        flair::gui::Label *data_rate_label;
+  flair::gui::GroupBox *setupgroupbox;
+  flair::gui::SpinBox *data_rate, *gyro_acc_size, *mag_size, *up_comp,
+      *north_comp;
+  flair::gui::CheckBox *coning, *disable_magn, *disable_north_comp,
+      *disable_grav_comp;
+  flair::gui::PushButton *button_bias;
+  flair::gui::Label *data_rate_label;
 
-        flair::core::SerialPort *serialport;
-        uint8_t command;
-        flair::sensor::Gx3_25_imu *self;
-        flair::core::AhrsData *ahrsData;
+  flair::core::SerialPort *serialport;
+  uint8_t command;
+  flair::sensor::Gx3_25_imu *self;
+  flair::core::AhrsData *ahrsData;
 };
 
Index: trunk/lib/FlairSensorActuator/src/unexported/VrpnClient_impl.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/unexported/VrpnClient_impl.h	(revision 6)
+++ trunk/lib/FlairSensorActuator/src/unexported/VrpnClient_impl.h	(revision 15)
@@ -22,25 +22,21 @@
 #include <vector>
 
-namespace flair
-{
-    namespace core
-    {
-        class OneAxisRotation;
-        class Vector3D;
-        class Quaternion;
-        class Mutex;
-        class SerialPort;
-    }
-    namespace gui
-    {
-        class TabWidget;
-        class Tab;
-        class Layout;
-    }
-    namespace sensor
-    {
-        class VrpnClient;
-        class VrpnObject;
-    }
+namespace flair {
+namespace core {
+class OneAxisRotation;
+class Vector3D;
+class Quaternion;
+class Mutex;
+class SerialPort;
+}
+namespace gui {
+class TabWidget;
+class Tab;
+class Layout;
+}
+namespace sensor {
+class VrpnClient;
+class VrpnObject;
+}
 }
 
@@ -48,36 +44,37 @@
 class vrpn_Connection;
 
-class VrpnClient_impl
-{
-    public:
-        VrpnClient_impl(flair::sensor::VrpnClient* self,std::string name,std::string address,uint16_t us_period);
-        VrpnClient_impl(flair::sensor::VrpnClient* self,std::string name,flair::core::SerialPort* serialport,uint16_t us_period);
-        ~VrpnClient_impl();
-        void AddTrackable(flair::sensor::VrpnObject* obj);//normal
-        void RemoveTrackable(flair::sensor::VrpnObject* obj);//normal
-        void AddTrackable(VrpnObject_impl* obj,uint8_t id);//xbee
-        void RemoveTrackable(VrpnObject_impl* obj);//xbee
-        void ComputeRotations(flair::core::Vector3D& point);
-        void ComputeRotations(flair::core::Quaternion& quat);
-        bool UseXbee(void);
-        void Run(void);
-        flair::gui::Tab* setup_tab;
-        flair::gui::TabWidget* tab;
-        vrpn_Connection *connection;
+class VrpnClient_impl {
+public:
+  VrpnClient_impl(flair::sensor::VrpnClient *self, std::string name,
+                  std::string address, uint16_t us_period);
+  VrpnClient_impl(flair::sensor::VrpnClient *self, std::string name,
+                  flair::core::SerialPort *serialport, uint16_t us_period);
+  ~VrpnClient_impl();
+  void AddTrackable(flair::sensor::VrpnObject *obj); // normal
+  void RemoveTrackable(flair::sensor::VrpnObject *obj); // normal
+  void AddTrackable(VrpnObject_impl *obj, uint8_t id); // xbee
+  void RemoveTrackable(VrpnObject_impl *obj); // xbee
+  void ComputeRotations(flair::core::Vector3D &point);
+  void ComputeRotations(flair::core::Quaternion &quat);
+  bool UseXbee(void);
+  void Run(void);
+  flair::gui::Tab *setup_tab;
+  flair::gui::TabWidget *tab;
+  vrpn_Connection *connection;
 
-    private:
-        flair::sensor::VrpnClient* self;
-        flair::core::Mutex* mutex;
-        uint16_t us_period;
-        std::vector<flair::sensor::VrpnObject*> trackables;
-        typedef struct xbee_object{
-            VrpnObject_impl* vrpnobject;
-            uint8_t id;
-        } xbee_object;
+private:
+  flair::sensor::VrpnClient *self;
+  flair::core::Mutex *mutex;
+  uint16_t us_period;
+  std::vector<flair::sensor::VrpnObject *> trackables;
+  typedef struct xbee_object {
+    VrpnObject_impl *vrpnobject;
+    uint8_t id;
+  } xbee_object;
 
-        std::vector<xbee_object> xbee_objects;
-        flair::gui::Tab* main_tab;
-        flair::core::OneAxisRotation *rotation_1,*rotation_2;
-        flair::core::SerialPort* serialport;
+  std::vector<xbee_object> xbee_objects;
+  flair::gui::Tab *main_tab;
+  flair::core::OneAxisRotation *rotation_1, *rotation_2;
+  flair::core::SerialPort *serialport;
 };
 
Index: trunk/lib/FlairSensorActuator/src/unexported/VrpnObject_impl.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/unexported/VrpnObject_impl.h	(revision 6)
+++ trunk/lib/FlairSensorActuator/src/unexported/VrpnObject_impl.h	(revision 15)
@@ -25,53 +25,51 @@
 #include "Quaternion.h"
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-        class Vector3D;
-        class Euler;
-    }
-    namespace gui
-    {
-        class TabWidget;
-        class Tab;
-        class DataPlot1D;
-    }
-    namespace sensor
-    {
-        class VrpnClient;
-        class VrpnObject;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+class Vector3D;
+class Euler;
+}
+namespace gui {
+class TabWidget;
+class Tab;
+class DataPlot1D;
+}
+namespace sensor {
+class VrpnClient;
+class VrpnObject;
+}
 }
 
-class VrpnObject_impl
-{
-    friend class VrpnClient_impl;
+class VrpnObject_impl {
+  friend class VrpnClient_impl;
 
-    public:
-        VrpnObject_impl(flair::sensor::VrpnObject* self,const flair::sensor::VrpnClient *parent,std::string name,int id,const flair::gui::TabWidget* tab);
-        ~VrpnObject_impl(void);
+public:
+  VrpnObject_impl(flair::sensor::VrpnObject *self,
+                  const flair::sensor::VrpnClient *parent, std::string name,
+                  int id, const flair::gui::TabWidget *tab);
+  ~VrpnObject_impl(void);
 
-        void mainloop(void);
-        void GetEuler(flair::core::Euler &euler);
-        void GetQuaternion(flair::core::Quaternion &quaternion);
-        void GetPosition(flair::core::Vector3D &point);
-        bool IsTracked(unsigned int timeout_ms);
+  void mainloop(void);
+  void GetEuler(flair::core::Euler &euler);
+  void GetQuaternion(flair::core::Quaternion &quaternion);
+  void GetPosition(flair::core::Vector3D &point);
+  bool IsTracked(unsigned int timeout_ms);
 
-        flair::gui::Tab* plot_tab;
-        flair::gui::DataPlot1D* x_plot;
-        flair::gui::DataPlot1D* y_plot;
-        flair::gui::DataPlot1D* z_plot;
-        flair::core::cvmatrix *output,*state;
+  flair::gui::Tab *plot_tab;
+  flair::gui::DataPlot1D *x_plot;
+  flair::gui::DataPlot1D *y_plot;
+  flair::gui::DataPlot1D *z_plot;
+  flair::core::cvmatrix *output, *state;
 
-        static void	VRPN_CALLBACK handle_pos(void *userdata, const vrpn_TRACKERCB t);
+  static void VRPN_CALLBACK handle_pos(void *userdata, const vrpn_TRACKERCB t);
 
-    private:
-        flair::sensor::VrpnObject* self;
-        const flair::sensor::VrpnClient *parent;
-        vrpn_Tracker_Remote* tracker;
-        flair::core::Quaternion quaternion;//todo: quaternion should be included in the output to replace euler angles
-        void Update(void);
+private:
+  flair::sensor::VrpnObject *self;
+  const flair::sensor::VrpnClient *parent;
+  vrpn_Tracker_Remote *tracker;
+  flair::core::Quaternion quaternion; // todo: quaternion should be included in
+                                      // the output to replace euler angles
+  void Update(void);
 };
 
Index: trunk/lib/FlairSensorActuator/src/unexported/XBldc_impl.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/unexported/XBldc_impl.h	(revision 6)
+++ trunk/lib/FlairSensorActuator/src/unexported/XBldc_impl.h	(revision 15)
@@ -16,5 +16,4 @@
 /*********************************************************************/
 
-
 #ifndef XBLDC_IMPL_H
 #define XBLDC_IMPL_H
@@ -23,33 +22,28 @@
 #include <stdint.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class I2cPort;
-    }
-    namespace actuator
-    {
-        class XBldc;
-    }
+namespace flair {
+namespace core {
+class I2cPort;
+}
+namespace actuator {
+class XBldc;
+}
 }
 
+class XBldc_impl {
 
-class XBldc_impl
-{
+public:
+  XBldc_impl(flair::actuator::XBldc *self, flair::core::I2cPort *i2cport);
+  ~XBldc_impl();
+  void UpdateFrom(flair::core::io_data *data);
+  void SetMotors(float *value);
 
-    public:
-        XBldc_impl(flair::actuator::XBldc* self,flair::core::I2cPort* i2cport);
-        ~XBldc_impl();
-        void UpdateFrom(flair::core::io_data *data);
-        void SetMotors(float* value);
-
-    private:
-        uint8_t Sat(float value,uint8_t min,uint8_t max);
-        //void StartTest(uint8_t moteur);
-        void ChangeDirection(uint8_t moteur);
-        void ChangeAdress(uint8_t old_add,uint8_t new_add);
-        flair::actuator::XBldc* self;
-        flair::core::I2cPort* i2cport;
+private:
+  uint8_t Sat(float value, uint8_t min, uint8_t max);
+  // void StartTest(uint8_t moteur);
+  void ChangeDirection(uint8_t moteur);
+  void ChangeAdress(uint8_t old_add, uint8_t new_add);
+  flair::actuator::XBldc *self;
+  flair::core::I2cPort *i2cport;
 };
 
Index: trunk/lib/FlairSensorActuator/src/unexported/geodesie.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/unexported/geodesie.h	(revision 6)
+++ trunk/lib/FlairSensorActuator/src/unexported/geodesie.h	(revision 15)
@@ -13,55 +13,64 @@
 
 #ifndef M_PI
-#   define M_PI 3.14159265358979323846
+#define M_PI 3.14159265358979323846
 #endif
 #ifndef M_PI_2
-#   define M_PI_2 1.57079632679489661923
+#define M_PI_2 1.57079632679489661923
 #endif
 #ifndef M_PI_4
-#   define M_PI_4 0.78539816339744830962
+#define M_PI_4 0.78539816339744830962
 #endif
 
 ////////////////////////////////////////////////////////////////////////
 struct Matrice {
-    Matrice(const Matrice & A);
-    Matrice();
-    void Apply(double v0, double v1, double v2, double & Mv0, double & Mv1, double & Mv2);
-    double c0_l0;double c1_l0;double c2_l0;
-    double c0_l1;double c1_l1;double c2_l1;
-    double c0_l2;double c1_l2;double c2_l2;
+  Matrice(const Matrice &A);
+  Matrice();
+  void Apply(double v0, double v1, double v2, double &Mv0, double &Mv1,
+             double &Mv2);
+  double c0_l0;
+  double c1_l0;
+  double c2_l0;
+  double c0_l1;
+  double c1_l1;
+  double c2_l1;
+  double c0_l2;
+  double c1_l2;
+  double c2_l2;
 }; // class
 
 Matrice TransMat(const Matrice A);
 
-Matrice ProdMat(const Matrice A,const Matrice B);
-void Write(const Matrice A,std::ostream& out);
+Matrice ProdMat(const Matrice A, const Matrice B);
+void Write(const Matrice A, std::ostream &out);
 
 ////////////////////////////////////////////////////////////////////////
 class Raf98 {
-private :
-    std::vector<double> m_dvalues;
-    double LitGrille(unsigned int c,unsigned int l) const;
-public :
-    ~Raf98();
-    Raf98() {}
-    bool Load(const std::string & s);
-    bool Interpol(double longitude/*deg*/, double latitude/*deg*/, double* Hwgs84) const;
+private:
+  std::vector<double> m_dvalues;
+  double LitGrille(unsigned int c, unsigned int l) const;
+
+public:
+  ~Raf98();
+  Raf98() {}
+  bool Load(const std::string &s);
+  bool Interpol(double longitude /*deg*/, double latitude /*deg*/,
+                double *Hwgs84) const;
 }; // class
 ////////////////////////////////////////////////////////////////////////
 
 ////////////////////////////////////////////////////////////////////////
-inline double Deg2Rad(double deg) {return deg*M_PI/180.0;}
-inline double Rad2Deg(double rad) {return rad*180.0/M_PI;}
+inline double Deg2Rad(double deg) { return deg * M_PI / 180.0; }
+inline double Rad2Deg(double rad) { return rad * 180.0 / M_PI; }
 ////////////////////////////////////////////////////////////////////////
 
-const double a_Lambert93=6378137;
-const double f_Lambert93=1 / 298.257222101;
-const double e_Lambert93=sqrt(f_Lambert93*(2-f_Lambert93));
-const double lambda0_Lambert93=Deg2Rad(3.0);//degres
-const double phi0_Lambert93=Deg2Rad(46.5);
-const double phi1_Lambert93=Deg2Rad(44.0);
-const double phi2_Lambert93=Deg2Rad(49.0);//degres
-const double X0_Lambert93=700000;//
-const double Y0_Lambert93=6600000;//
+const double a_Lambert93 = 6378137;
+const double f_Lambert93 = 1 / 298.257222101;
+const double e_Lambert93 = sqrt(f_Lambert93 * (2 - f_Lambert93));
+const double lambda0_Lambert93 = Deg2Rad(3.0); // degres
+const double phi0_Lambert93 = Deg2Rad(46.5);
+const double phi1_Lambert93 = Deg2Rad(44.0);
+const double phi2_Lambert93 = Deg2Rad(49.0); // degres
+const double X0_Lambert93 = 700000;  //
+const double Y0_Lambert93 = 6600000; //
 const double n_Lambert93 = 0.7256077650;
 const double c_Lambert93 = 11754255.426;
@@ -70,13 +79,19 @@
 
 const double GRS_a = 6378137;
-const double GRS_f = 1/298.257222101;
-const double GRS_b = GRS_a*(1-GRS_f);
-const double GRS_e = sqrt((pow(GRS_a,2) - pow(GRS_b,2)) / pow(GRS_a,2));
+const double GRS_f = 1 / 298.257222101;
+const double GRS_b = GRS_a * (1 - GRS_f);
+const double GRS_e = sqrt((pow(GRS_a, 2) - pow(GRS_b, 2)) / pow(GRS_a, 2));
 
 ////////////////////////////////////////////////////////////////////////
-void Geographique_2_Lambert93(const Raf98& raf98,double lambda,double phi,double he,Matrice in,double& E,double& N,double& h,Matrice& out);
-void Geographique_2_Lambert93(const Raf98& raf98,double lambda,double phi,double he,double& E,double& N,double& h);
-void Lambert93_2_Geographique(const Raf98& raf98,double E,double N,double h,double& lambda,double& phi,double& he);
-void Lambert93_2_Geographique(const Raf98& raf98,double E,double N,double h,Matrice in,double& lambda,double& phi,double& he,Matrice& out);
+void Geographique_2_Lambert93(const Raf98 &raf98, double lambda, double phi,
+                              double he, Matrice in, double &E, double &N,
+                              double &h, Matrice &out);
+void Geographique_2_Lambert93(const Raf98 &raf98, double lambda, double phi,
+                              double he, double &E, double &N, double &h);
+void Lambert93_2_Geographique(const Raf98 &raf98, double E, double N, double h,
+                              double &lambda, double &phi, double &he);
+void Lambert93_2_Geographique(const Raf98 &raf98, double E, double N, double h,
+                              Matrice in, double &lambda, double &phi,
+                              double &he, Matrice &out);
 /** Convert from geographique to ECEF.
  * @param[in] longitude Longitude in radian.
@@ -84,5 +99,6 @@
  * @param[in] he Height in meter.
  */
-void Geographique_2_ECEF(double longitude, double latitude, double he, double& x, double& y, double& z);
+void Geographique_2_ECEF(double longitude, double latitude, double he,
+                         double &x, double &y, double &z);
 /** Convert from ECEF two ENU.
  * @param[in] lon0 Longitude of the origin in radian.
@@ -90,25 +106,21 @@
  * @param[in] he0 Height of the origin in radian.
  */
-void ECEF_2_ENU(double x,double y,double z,double& e,double& n,double& u,double lon0,double lat0,double he0);
+void ECEF_2_ENU(double x, double y, double z, double &e, double &n, double &u,
+                double lon0, double lat0, double he0);
 ////////////////////////////////////////////////////////////////////////
 
-//ALGO0001
-double LatitueIsometrique(double latitude,double e);
-//ALGO0002
-double LatitueIsometrique2Lat(double latitude_iso,double e,double epsilon);
+// ALGO0001
+double LatitueIsometrique(double latitude, double e);
+// ALGO0002
+double LatitueIsometrique2Lat(double latitude_iso, double e, double epsilon);
 
-//ALGO0003
-void Geo2ProjLambert(
-    double lambda,double phi,
-    double n, double c,double e,
-    double lambdac,double xs,double ys,
-    double& X,double& Y);
-//ALGO0004
-void Proj2GeoLambert(
-    double X,double Y,
-    double n, double c,double e,
-    double lambdac,double xs,double ys,
-    double epsilon,
-    double& lambda,double& phi);
+// ALGO0003
+void Geo2ProjLambert(double lambda, double phi, double n, double c, double e,
+                     double lambdac, double xs, double ys, double &X,
+                     double &Y);
+// ALGO0004
+void Proj2GeoLambert(double X, double Y, double n, double c, double e,
+                     double lambdac, double xs, double ys, double epsilon,
+                     double &lambda, double &phi);
 
 double ConvMerApp(double longitude);
@@ -118,7 +130,7 @@
 */
 template <typename _T1, typename _T2>
-void cartesianToPolar(const _T1 x, const _T1 y, _T2 & r, _T2 & theta) {
-    r = std::sqrt(x*x + y*y);
-    theta = std::atan2(x, y);
+void cartesianToPolar(const _T1 x, const _T1 y, _T2 &r, _T2 &theta) {
+  r = std::sqrt(x * x + y * y);
+  theta = std::atan2(x, y);
 }
 
@@ -127,29 +139,33 @@
 */
 template <typename _T1, typename _T2>
-void polarToCartesian(const _T1 r, const _T1 theta, _T2 & x, _T2 & y) {
-    x = r * std::cos(theta);
-    y = r * std::sin(theta);
+void polarToCartesian(const _T1 r, const _T1 theta, _T2 &x, _T2 &y) {
+  x = r * std::cos(theta);
+  y = r * std::sin(theta);
 }
 
 /**
-Converts Cartesian (x, y, z) coordinates to spherical coordinates (r, theta, phi)
+Converts Cartesian (x, y, z) coordinates to spherical coordinates (r, theta,
+phi)
 Angles expressed in radians.
 */
 template <typename _T1, typename _T2>
-void cartesianToSpherical(const _T1 x, const _T1 y, const _T1 z, _T2 & r, _T2 & theta, _T2 & phi) {
-    r = std::sqrt(x*x + y*y + z*z);
-    theta = std::acos(z / r);
-    phi = std::atan2(y, x);
+void cartesianToSpherical(const _T1 x, const _T1 y, const _T1 z, _T2 &r,
+                          _T2 &theta, _T2 &phi) {
+  r = std::sqrt(x * x + y * y + z * z);
+  theta = std::acos(z / r);
+  phi = std::atan2(y, x);
 }
 
 /**
-Converts spherical coordinates (r, theta, phi) to Cartesian (x, y, z) coordinates.
+Converts spherical coordinates (r, theta, phi) to Cartesian (x, y, z)
+coordinates.
 Angles expressed in radians.
 */
 template <typename _T1, typename _T2>
-void sphericalToCartesian(const _T1 r, const _T1 theta, const _T1 phi, _T2 & x, _T2 & y, _T2 & z) {
-    x = r * std::sin(theta) * std::cos(phi);
-    y = r * std::sin(theta) * std::sin(phi);
-    z = r * std::cos(theta);
+void sphericalToCartesian(const _T1 r, const _T1 theta, const _T1 phi, _T2 &x,
+                          _T2 &y, _T2 &z) {
+  x = r * std::sin(theta) * std::cos(phi);
+  y = r * std::sin(theta) * std::sin(phi);
+  z = r * std::cos(theta);
 }
 
